<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<style>
    #demo{
        border:2px solid black;
        
        font-size: xx-large;
    }
    table {
         font-family: arial, sans-serif;
         width: 100%;
    }
    td, th {
        border: 1px solid #dddddd;
        text-align: left;
        padding: 8px;
    }
    
</style>
<body id="demo">
    <script>

    let div = document.createElement('div').className="arc";
    let table = document.createElement('table');
    let tbody = document.createElement('tbody');
    let thead = document.createElement('thead');
    let trow = document.createElement('tr');
    let trow1 = document.createElement('tr');
    let trow2 = document.createElement('tr');
    let trow3 = document.createElement('tr');
    let trow4 = document.createElement('tr');
    let trow5 = document.createElement('tr');
    let trow6 = document.createElement('tr');
    let trow7 = document.createElement('tr');
    let trow8 = document.createElement('tr');
   
   
    table.appendChild(thead);
    thead.appendChild(trow);
    table.appendChild(tbody);
    document.getElementById('demo').appendChild(table);
    
   
   
    let headerss=["Name","Age","Gender","Place"];
    let ab=["Archit Agrawal","28","Male","Bhopal"];
    let abc=["Rishabh Gaur","28","Male","Mumbai"];
    let abcd=["Sakshi Soni","26","Female","Indore"];
    let abcde=["Vaibhav Agrawal","38","Male","Banglore"];
    let arc=["Sikha Patel","24","Female","Varanasi"];
    let ar=["Rajat Rajput","27","Female","Udaipur"];
    let archie=["Vishal Sharma","33","Male","Chhatarpur"];
    let gf=["Shenal Agrawal",32,"Female","Indore"];
    thead.appendChild(trow);
    //HEADING
    function head(headerss){
        for(let i=0;i<headerss.length;i++){
            let th = document.createElement('th');
            trow.appendChild(th);
            let txt=document.createTextNode(headerss[i]);
            //text += " " + (headerss[i] +" ");
            th.appendChild(txt);
        }
        
    }
    head(headerss);
    
    tbody.appendChild(trow1);
    
    function head1(ab){
        for(let i=0;i<ab.length;i++){
        let td= document.createElement("td")
        trow1.appendChild(td)
        let txt1=document.createTextNode(ab[i]);
        td.appendChild(txt1);
    }
}
    head1(ab);
    
    tbody.appendChild(trow2);
    
    function head2(abc){
    for(let i=0;i<abc.length;i++){
         let td2= document.createElement("td")
         trow2.appendChild(td2)
         td2.innerText=abc[i];
        }
    }
    head2(abc);
    //
    tbody.appendChild(trow3);
    
    function head3(abcd){
    for(let i=0;i<abcd.length;i++){
         let td3= document.createElement("td")
         trow3.appendChild(td3)
         td3.innerText=abcd[i];
        }
    }
    head3(abcd);
    //
    tbody.appendChild(trow4);
    
    function head4(abcd){
    for(let i=0;i<abcd.length;i++){
         let td4= document.createElement("td")
         trow4.appendChild(td4)
         td4.innerText=abcde[i];
        }
    }
    head4(abcde);
    //
    tbody.appendChild(trow5);
    
    function head5(arc){
    for(let i=0;i<arc.length;i++){
         let td5= document.createElement("td")
         trow5.appendChild(td5)
         td5.innerText=arc[i];
        }
    }
    head5(arc);
    //
    tbody.appendChild(trow6);
    
    function head6(ar){
    for(let i=0;i<ar.length;i++){
         let td6= document.createElement("td")
         trow6.appendChild(td6)
         td6.innerText=ar[i];
        }
    }
    head6(ar);
    //
    tbody.appendChild(trow7);
    
    function head7(archie){
    for(let i=0;i<archie.length;i++){
         let td7= document.createElement("td")
         trow7.appendChild(td7)
         td7.innerText=archie[i];
        }
    }
    head7(archie);
    //
    tbody.appendChild(trow8);
    
    function head8(gf){
    for(let i=0;i<gf.length;i++){
         let td8= document.createElement("td")
         trow8.appendChild(td8)
         td8.innerText=gf[i];
        }
    }
    head8(gf);
    
    </script>
</body>
</html>